從2.0.7升級到2.0.9.2出了問題

edited 十月 2013 in XOOPS
** * perform a query on the database * * this method allows only SELECT queries for safety. * * @param string $sql a valid MySQL query * @param int $limit number of records to return * @param int $start offset of first record to return * @return resource query result or FALSE if unsuccessful */ function &query($sql, $limit=0, $start=0) { $sql = ltrim($sql); if (strtolower(substr($sql, 0, 6)) == 'select') { //if (preg_match("/^SELECT.*/i", $sql)) { return $this->queryF($sql, $limit, $start); } $this->logger->addQuery($sql, 'Database update not allowed during processing of a GET request', 0); return false; } } ?>

上傳升級檔後網頁首頁出現以上的文字
有點不知道是什麼地方出了問題
知道的朋友可以告訴我嗎

我該如何補救錯誤的訊息呢

原始討論: http://twpug.net/x/modules/newbb/viewtopic.php?topic_id=535

評論

Sign In or Register to comment.